class IngredientesController < ApplicationController
	private
    # Using a private method to encapsulate the permissible parameters
    # is just a good pattern since you'll be able to reuse the same
    # permit list between create and update. Also, you can specialize
    # this method with per-user checking of permissible attributes.
    def ingrediente_params
      params.require(:ingrediente).permit(:alimento_id, :receta_id, :cantidad)
    end
end
